* Intertaktionsanalyse mit Strukturgleichungsmethoden.

new file.
set seed = 3.

* N Flle generieren.
input program.
+ loop #i = 1 to 384.
-  compute a = 1.
-  end case.
+ end loop.
+ end file.
end input program.
exe.

* Latente Variablen.
compute root = normal(1).
compute reg = 0.5 * root + normal(2).
compute mod = 0.5 * root + normal(1).
compute krit = 0.5 + 1.0 * reg + 0.5 * mod + 1 * mod * reg + normal(3).

* Indikatoren fr den Regressor.
compute xr1 = 0 + 1.0 * reg + normal(0.7).
compute xr2 = 1 + 0.8 * reg + normal(0.7).
compute xr3 = 2 + 0.8 * reg + normal(0.7).

* Indikatoren fr den Moderator.
compute xm1 = 0 + 1.0 * mod + normal(0.7).
compute xm2 = 1 + 0.8 * mod + normal(0.7).
compute xm3 = 2 + 0.8 * mod + normal(0.7).

* Indikatoren fr das Kriterium.
compute y1 = 0 + 1.0 * krit + normal(1.5).
compute y2 = 1 + 0.8 * krit + normal(1.5).
compute y3 = 2 + 0.8 * krit + normal(1.5).

* Produkte aus Reg- und Mod-Indikatoren.
compute xr1xm1 = xr1 * xm1.
compute xr2xm2 = xr2 * xm2.
compute xr3xm3 = xr3 * xm3.

* Dichotomisierter Moderator.
compute moddi = (mod >= 0)+1.
formats moddi (f1.0).
exe.

* Kontrollregressionsanalyse mit den latenten Variablen.
compute regmod = reg * mod.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT krit
  /METHOD=ENTER reg, mod, regmod.

* Regressionsanalyse mit den ersten Prdiktoren.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT krit
  /METHOD=ENTER xr1, xm1, xr1xm1.

* 2-Stage Least Squares sensu Bollen & Paxton (1998).
TSET NEWVAR=NONE .
2SLS krit  WITH xr1 xm1 xr1xm1
  /INSTRUMENTS xr2 xm2 xr2xm2 xr3 xm3 xr3xm3
  /CONSTANT .

* Geschtzte Faktorwerte mit Koeffizienten aus Amos.
compute fsKrit = 0.319*Y3 + 0.282*Y2 + 0.471*Y1 + 0.011*XM3 + 0.015*XM2 + 0.015*XM1 + 0.017*XR3 + 0.022*XR2 + 0.022*XR1.
compute fsMod  = 0.003*Y3 + 0.002*Y2 + 0.004*Y1 + 0.253*XM3 + 0.343*XM2 + 0.352*XM1 - 0.9937445180482.
compute fsReg  = 0.004*Y3 + 0.004*Y2 + 0.006*Y1 + 0.000*XM3 + 0.000*XM2 + 0.000*XM1 + 0.295*XR3 + 0.376*XR2 + 0.387*XR1 - 0.9370755073246.
compute fsRegMod = fsReg * fsMod.
exe.

* Regressionsanalyse mit den Faktorwerten.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT fsKrit
  /METHOD=ENTER fsReg, fsMod, fsRegMod.
